Rule Packs
Event-to-journal posting rules
List rule packs
x-api-key<token>
API key for programmatic access
In: header
Query Parameters
entityId?string
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://app.axiomatic.us/api/rule-packs"[
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"version": "string",
"layer": "string",
"entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
"status": "string",
"effectiveDate": "2019-08-24",
"rules": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"eventType": "string",
"dslSource": "string",
"priority": 0
}
],
"createdAt": "2019-08-24T14:15:22Z"
}
]{
"error": "string"
}Create a rule pack
x-api-key<token>
API key for programmatic access
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://app.axiomatic.us/api/rule-packs" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"version": "string",
"layer": "string",
"entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
"status": "string",
"effectiveDate": "2019-08-24",
"rules": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"eventType": "string",
"dslSource": "string",
"priority": 0
}
],
"createdAt": "2019-08-24T14:15:22Z"
}{
"error": "string"
}{
"error": "string"
}